<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__gattc__read__req__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_gattc_read_req_t</compoundname>
    <includes local="no">cy_ble_stack_gatt_client.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__gattc__read__req__t_1a001e5f3b37dc437198c4bb5b7fafff4a" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_gattc_read_req_t::attrHandle</definition>
        <argsstring />
        <name>attrHandle</name>
        <briefdescription>
<para>Handle on which Read Blob is requested. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_client.h" bodystart="105" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_client.h" line="105" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gattc__read__req__t_1af8c9db21f3e749a2aee38c2fe4913a83" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_gattc_read_req_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>Connection handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_client.h" bodystart="108" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_client.h" line="108" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Read request parameter. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="694">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="693">
        <label>cy_stc_ble_gattc_read_req_t</label>
        <link refid="structcy__stc__ble__gattc__read__req__t" />
        <childnode refid="694" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="110" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_client.h" bodystart="102" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_client.h" line="103" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__gattc__read__req__t_1a001e5f3b37dc437198c4bb5b7fafff4a" virt="non-virtual"><scope>cy_stc_ble_gattc_read_req_t</scope><name>attrHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__gattc__read__req__t_1af8c9db21f3e749a2aee38c2fe4913a83" virt="non-virtual"><scope>cy_stc_ble_gattc_read_req_t</scope><name>connHandle</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>